org.apache.lucene.spatial

## Class ShapeValues

- java.lang.Object
- - org.apache.lucene.spatial.ShapeValues

-     public abstract class ShapeValues
      extends Object

  Iterator over `Shape` objects for an index segment

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShapeValues()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `advanceExact(int doc)` Advance the iterator to the given document
    `abstract org.locationtech.spatial4j.shape.Shape` | `value()` Returns a `Shape` for the current document

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShapeValues

          public ShapeValues()

  - ### Method Detail

    - #### advanceExact

          public abstract boolean advanceExact(int doc)
                                        throws IOException

      Advance the iterator to the given document
      Parameters:
        `doc` - the document to advance to
      Returns:
        `true` if there is a value for this document
      Throws:
        `IOException`

    - #### value

          public abstract org.locationtech.spatial4j.shape.Shape value()
                                                                throws IOException

      Returns a `Shape` for the current document
      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.